Loading...
Searching...
No Matches
juce::OSCAddressPattern Class Reference

## Detailed Description

An OSC address pattern.

Extends an OSC address by additionally allowing the following wildcards: ?, *, [], {}

OSC messages always have an OSC address pattern to specify the destination(s) of the message.

See also
  OSCMessage, OSCAddress, OSCMessageListener

The documentation for this class was generated from the following file:

- juce_osc/osc/juce_OSCAddress.h

## Public Member Functions

| OSCAddressPattern (const String &address)
| Constructs a new OSCAddressPattern from a String.
| OSCAddressPattern (const char *address)
| Constructs a new OSCAddressPattern from a C string.
bool | operator== (const OSCAddressPattern &other) const noexcept
| Compares two OSCAddressPattern objects.
bool | operator!= (const OSCAddressPattern &other) const noexcept
| Compares two OSCAddressPattern objects.
bool | matches (const OSCAddress &address) const noexcept
| Checks if the OSCAddressPattern matches an OSC address with the wildcard rules defined by the OpenSoundControl 1.0 specification.
bool | containsWildcards () const noexcept
| Checks whether the OSCAddressPattern contains any of the allowed OSC address pattern wildcards: ?
String | toString () const noexcept
| Converts the OSCAddressPattern to a String.

## Constructors and Destructors

## OSCAddressPattern() [1/2]

juce::OSCAddressPattern::OSCAddressPattern | ( | const String & | address | ) |

Constructs a new OSCAddressPattern from a String.

Exceptions

  OSCFormatError | if the string is not a valid OSC address pattern.

Referenced by operator!=(), and operator==().

## OSCAddressPattern() [2/2]

juce::OSCAddressPattern::OSCAddressPattern | ( | const char * | address | ) |

Constructs a new OSCAddressPattern from a C string.

Exceptions

  OSCFormatError | of the string is not a valid OSC address pattern.

## Member Functions

## operator==()

bool juce::OSCAddressPattern::operator== | ( | const OSCAddressPattern & | other | ) | const

noexcept

Compares two OSCAddressPattern objects.

Returns
  true if they contain the same address pattern, false otherwise.

References OSCAddressPattern().

## operator!=()

bool juce::OSCAddressPattern::operator!= | ( | const OSCAddressPattern & | other | ) | const

noexcept

Compares two OSCAddressPattern objects.

Returns
  false if they contain the same address pattern, true otherwise.

References OSCAddressPattern().

## matches()

bool juce::OSCAddressPattern::matches | ( | const OSCAddress & | address | ) | const

noexcept

Checks if the OSCAddressPattern matches an OSC address with the wildcard rules defined by the OpenSoundControl 1.0 specification.

Returns
  true if the OSCAddressPattern matches the given OSC address, false otherwise.

## containsWildcards()

bool juce::OSCAddressPattern::containsWildcards | ( |  | ) | const

inline noexcept

Checks whether the OSCAddressPattern contains any of the allowed OSC address pattern wildcards: ?

, *, [], {}

Returns
  true if the OSCAddressPattern contains OSC wildcards, false otherwise.

## toString()

String juce::OSCAddressPattern::toString | ( |  | ) | const

noexcept

Converts the OSCAddressPattern to a String.

Note: Trailing slashes are always removed automatically.

Returns
  a String object that represents the OSC address pattern.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited